
# I love OpenSource :-(

%define name		nvidia-71xx
%define version		71.86.06
%define rel		5

%define priority	7100

# pkg0: plain archive
# pkg1: + precompiled modules
# pkg2: + 32bit compatibility libraries
%define pkgname32	NVIDIA-Linux-x86-%{version}-pkg0
%define pkgname64	NVIDIA-Linux-x86_64-%{version}-pkg2

%define nameprefix		x11-driver-video-
%define drivername		nvidia71xx
%define driverpkgname		x11-driver-video-nvidia71xx
%define modulename		%{drivername}
%define xorg_libdir		%{_libdir}/xorg
%define nvidia_driversdir	%{xorg_libdir}/modules/drivers/%{drivername}
%define nvidia_extensionsdir	%{xorg_libdir}/modules/extensions/%{drivername}
%define nvidia_libdir		%{_libdir}/%{drivername}
%define nvidia_libdir32		%{_prefix}/lib/%{drivername}
%define nvidia_bindir		%{nvidia_libdir}/bin
%define nvidia_deskdir		%{_datadir}/%{drivername}
%define nvidia_xvmcconfdir	%{_sysconfdir}/%{drivername}
%define ld_so_conf_dir		%{_sysconfdir}/%{drivername}
%define ld_so_conf_file		ld.so.conf

%if %{mdkversion} <= 200710
%define nameprefix		%{nil}
%define driverpkgname		%{drivername}
%endif

%if %{mdkversion} <= 200700
%define drivername		nvidia_legacy
%define ld_so_conf_dir		%{_sysconfdir}/ld.so.conf.d/GL
%define ld_so_conf_file		%{drivername}.conf
%endif

%if %{mdkversion} <= 200600
%define xorg_libdir		%{_prefix}/X11R6/%{_lib}
%define ld_so_conf_dir		%{_sysconfdir}/ld.so.conf.d
%define nvidia_driversdir	%{xorg_libdir}/modules/drivers
%define nvidia_extensionsdir	%{xorg_libdir}/modules/extensions/nvidia
%define nvidia_bindir		%{_bindir}
%define nvidia_xvmcconfdir	%{_sysconfdir}/X11
%define nvidia_deskdir		%{_datadir}/applications
%endif

%define biarches x86_64
%ifarch %{ix86}
%define nsource %{SOURCE0}
%define pkgname %{pkgname32}
%endif
%ifarch x86_64
%define nsource %{SOURCE1}
%define pkgname %{pkgname64}
%endif

# Other packages should not require any NVIDIA libraries, and this package
# should not be pulled in when libGL.so.1 is required
%define _provides_exceptions \\.so
%define common_requires_exceptions libGLcore\\.so\\|libnvidia-tls\\.so

%ifarch %{biarches}
# (anssi) Allow installing of 64-bit package if the runtime dependencies
# of 32-bit libraries are not satisfied. If a 32-bit package that requires
# libGL.so.1 is installed, the 32-bit mesa libs are pulled in and that will
# pull the dependencies of 32-bit nvidia libraries in as well.
%define _requires_exceptions %common_requires_exceptions\\|lib.*so\\.[^(]\\+\\(([^)]\\+)\\)\\?$
%else
%define _requires_exceptions %common_requires_exceptions
%endif

Summary:	NVIDIA proprietary X.org driver and libraries for old cards
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
Source0:	ftp://download.nvidia.com/XFree86/Linux-x86/%{version}/%{pkgname32}.run
Source1:	ftp://download.nvidia.com/XFree86/Linux-x86_64/%{version}/%{pkgname64}.run
Source2:	nvidia71xx-71.86.06-kill_proc.patch
Patch:		nvidia71xx-71.86.06-2.6.27.patch
License:	Proprietary
BuildRoot:	%{_tmppath}/%{name}-buildroot
URL:		http://www.nvidia.com/object/unix.html
Group: 		System/Kernel and hardware
ExclusiveArch:	%{ix86} x86_64
BuildRequires:	ImageMagick
%if "%{driverpkgname}" == "nvidia_legacy"
# old nvidia package had different versioning
Epoch:		1
%endif

%description
Source package of the 71xx legacy NVIDIA proprietary driver series.
Binary packages are named x11-driver-video-nvidia71xx on Mandriva
Linux 2008, nvidia71xx on 2007.1, and nvidia_legacy on 2007.0 and
earlier.

%package -n %{driverpkgname}
Summary:	NVIDIA proprietary X.org driver and libraries for old cards
Group:		System/Kernel and hardware
%if %{mdkversion} >= 200700
Requires(post): update-alternatives >= 1.9.0
Requires(postun): update-alternatives >= 1.9.0
%endif
%if %{mdkversion} >= 200800
Conflicts:	harddrake < 10.4.163
Conflicts:	drakx-kbd-mouse-x11 < 0.21
Conflicts:	x11-server-common < 1.3.0.0-17
%endif
%if %{mdkversion} >= 200810
Requires:	kmod(%{modulename}) = %{version}
%endif
Provides:	NVIDIA_GLX
%if %{mdkversion} >= 200800
Obsoletes:	nvidia71xx < %{version}-%{release}
Provides:	nvidia71xx = %{version}-%{release}
%endif
%if %{mdkversion} >= 200710
Obsoletes:	nvidia_legacy < 1:%{version}-%{release}
Provides:	nvidia_legacy = 1:%{version}-%{release}
%endif
%if %{mdkversion} <= 200600
Conflicts:	nvidia
%endif

%description -n %{driverpkgname}
NVIDIA proprietary X.org graphics driver, related libraries and
configuration tools for old NVIDIA video cards.

NOTE: You should use XFdrake to configure your NVIDIA card. The
correct packages will be automatically installed and configured.

If you do not want to use XFdrake, see README.manual-setup.

This NVIDIA driver should be used with TNT, TNT2, Vanta, Geforce
256, GeForce DDR and GeForce2 GTS/Pro/Ti/Ultra cards. For newer
cards, the packages %{nameprefix}nvidia96xx and
%{nameprefix}nvidia-current should be used instead.

%package -n dkms-%{drivername}
Summary:	NVIDIA kernel module for old NVIDIA video cards
Group:		System/Kernel and hardware
Requires:	dkms
Requires(post):	dkms
Requires(preun): dkms
Requires:	%{driverpkgname} = %{version}
%if %{mdkversion} >= 200710
Obsoletes:	dkms-nvidia_legacy < 1:%{version}-%{release}
Provides:	dkms-nvidia_legacy = 1:%{version}-%{release}
%endif
%if %{mdkversion} <= 200600
Conflicts:	dkms-nvidia
%endif

%description -n dkms-%{drivername}
NVIDIA kernel module for old NVIDIA video cards. This is to be used
with the %{driverpkgname} package.

%package -n %{drivername}-devel
Summary:	NVIDIA static XVMC library and headers for old cards
Group:		Development/C
Requires:	%{driverpkgname} = %{version}-%{release}
%if %{mdkversion} >= 200710
Obsoletes:	nvidia_legacy-devel < 1:%{version}-%{release}
Provides:	nvidia_legacy-devel = 1:%{version}-%{release}
%endif

%description -n %{drivername}-devel
NVIDIA XvMC static development library and OpenGL headers for old
NVIDIA video cards. This package is not required for normal use.

%prep
%setup -c -T
sh %{nsource} --extract-only
rm -rf %{pkgname}/usr/src/nv/precompiled

pushd %{pkgname}
%patch -p1
popd

cat > README.install.urpmi <<EOF
This driver is for TNT, TNT2, Vanta, Geforce 256, GeForce DDR and
GeForce2 GTS/Pro/Ti/Ultra cards.

Use XFdrake to configure X to use the correct NVIDIA driver. Any needed
packages will be automatically installed if not already present.
1. Run XFdrake as root.
2. Go to the Graphics Card list.
3. Select your card (it is usually already autoselected).
4. Answer any questions asked and then quit.

If you do not want to use XFdrake, see README.manual-setup.
EOF

cat > README.manual-setup <<EOF
This file describes the procedure for the manual installation of this NVIDIA
driver package. You can find the instructions for the recommended automatic
installation in the file 'README.install.urpmi' in this directory.

- Open %{_sysconfdir}/X11/xorg.conf and make the following changes:
  o Change the Driver to "nvidia" in the Device section
  o Make the line below the only 'glx' related line in the Module section:
%if %{mdkversion} >= 200710
      Load "glx"
%if %{mdkversion} >= 200800
  o Remove any 'ModulePath' lines from the Files section
%else
  o Make the lines below the only 'ModulePath' lines in the Files section:
      ModulePath "%{nvidia_extensionsdir}"
      ModulePath "%{xorg_libdir}/modules"
%endif
%else
      Load "%{nvidia_extensionsdir}/libglx.so"
%endif
%if %{mdkversion} >= 200700
- Run "update-alternatives --set gl_conf %{ld_so_conf_dir}/%{ld_so_conf_file}" as root.
- Run "ldconfig" as root.
%endif
EOF

%install
rm -rf %{buildroot}
cd %{pkgname}/usr

# dkms
install -d -m755 %{buildroot}%{_usrsrc}/%{drivername}-%{version}-%{release}
install -m644 src/nv/* %{buildroot}%{_usrsrc}/%{drivername}-%{version}-%{release}
chmod 0755 %{buildroot}%{_usrsrc}/%{drivername}-%{version}-%{release}/conftest.sh

install -d -m755 %{buildroot}%{_usrsrc}/%{drivername}-%{version}-%{release}/patches
install -m644 %{_sourcedir}/nvidia71xx-71.86.06-kill_proc.patch \
              %{buildroot}%{_usrsrc}/%{drivername}-%{version}-%{release}/patches

cat > %{buildroot}%{_usrsrc}/%{drivername}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{drivername}"
PACKAGE_VERSION="%{version}-%{release}"
BUILT_MODULE_NAME[0]="nvidia"
DEST_MODULE_LOCATION[0]="/kernel/drivers/char/drm"
%if %{mdkversion} >= 200710
DEST_MODULE_NAME[0]="%{modulename}"
%endif
MAKE[0]="make IGNORE_XEN_PRESENCE=1 SYSSRC=\${kernel_source_dir} module"
CLEAN="make -f Makefile.kbuild clean"
AUTOINSTALL="yes"
PATCH[0]="nvidia71xx-71.86.06-kill_proc.patch"
PATCH_MATCH[0]="^2\.6\.(2[7-9])|([3-9][0-9]+)|([1-9][0-9][0-9]+)"
EOF

# OpenGL headers
install -d -m755	%{buildroot}%{_includedir}/%{drivername}
cp -a include/*		%{buildroot}%{_includedir}/%{drivername}

# install binaries
install -d -m755			%{buildroot}%{nvidia_bindir}
install -m755 bin/nvidia-settings	%{buildroot}%{nvidia_bindir}
install -m755 bin/nvidia-bug-report.sh	%{buildroot}%{nvidia_bindir}
%if %{mdkversion} >= 200700
install -d -m755			%{buildroot}%{_bindir}
touch					%{buildroot}%{_bindir}/nvidia-settings
touch					%{buildroot}%{_bindir}/nvidia-bug-report.sh
# rpmlint:
chmod 0755				%{buildroot}%{_bindir}/*
%endif

# menu entry
%if %{mdkversion} <= 200600
install -d -m755 %{buildroot}/%{_menudir}
cat <<EOF >%{buildroot}/%{_menudir}/%{driverpkgname}
?package(%{driverpkgname}):command="%{nvidia_bindir}/nvidia-settings" \
                  icon=%{drivername}-settings.png \
                  needs="x11" \
                  section="System/Configuration/Hardware" \
                  title="NVIDIA Display Settings" \
                  longtitle="Configure NVIDIA X driver" \
                  xdg="true"
EOF
%endif

install -d -m755 %{buildroot}%{nvidia_deskdir}
cat > %{buildroot}%{nvidia_deskdir}/mandriva-nvidia-settings.desktop <<EOF
[Desktop Entry]
Name=NVIDIA Display Settings
Comment=Configure NVIDIA X driver
Exec=%{_bindir}/nvidia-settings
Icon=%{drivername}-settings
Terminal=false
Type=Application
Categories=GTK;Settings;HardwareSettings;X-MandrivaLinux-System-Configuration;
EOF

install -d -m755	%{buildroot}%{_datadir}/applications
touch			%{buildroot}%{_datadir}/applications/mandriva-nvidia-settings.desktop

# icons
install -d -m755 %{buildroot}/%{_miconsdir} %{buildroot}/%{_iconsdir} %{buildroot}/%{_liconsdir}
convert share/pixmaps/nvidia-settings.png -resize 16x16 %{buildroot}/%{_miconsdir}/%{drivername}-settings.png
convert share/pixmaps/nvidia-settings.png -resize 32x32 %{buildroot}/%{_iconsdir}/%{drivername}-settings.png
convert share/pixmaps/nvidia-settings.png -resize 48x48 %{buildroot}/%{_liconsdir}/%{drivername}-settings.png

# install libraries
install -d -m755						%{buildroot}%{nvidia_libdir}/tls
install -m755 lib/tls/libnvidia-tls.so.%{version}		%{buildroot}%{nvidia_libdir}/tls
install -m755 lib/libnvidia-tls.so.%{version}			%{buildroot}%{nvidia_libdir}
install -m755 lib/libGL.so.%{version}				%{buildroot}%{nvidia_libdir}
install -m755 lib/libGLcore.so.%{version}			%{buildroot}%{nvidia_libdir}
install -m755 X11R6/lib/libXvMCNVIDIA.so.%{version}		%{buildroot}%{nvidia_libdir}
install -m755 X11R6/lib/libXvMCNVIDIA.a				%{buildroot}%{nvidia_libdir}
/sbin/ldconfig -n						%{buildroot}%{nvidia_libdir}
ln -s libGL.so.1						%{buildroot}%{nvidia_libdir}/libGL.so
sed 's,__LIBGL_PATH__,%{nvidia_libdir},' lib/libGL.la >		%{buildroot}%{nvidia_libdir}/libGL.la
%ifarch %{biarches}
install -d -m755						%{buildroot}%{nvidia_libdir32}/tls
install -m755 lib32/tls/libnvidia-tls.so.%{version}		%{buildroot}%{nvidia_libdir32}/tls
install -m755 lib32/libnvidia-tls.so.%{version}			%{buildroot}%{nvidia_libdir32}
install -m755 lib32/libGL.so.%{version}				%{buildroot}%{nvidia_libdir32}
install -m755 lib32/libGLcore.so.%{version}			%{buildroot}%{nvidia_libdir32}
/sbin/ldconfig -n						%{buildroot}%{nvidia_libdir32}
ln -s libGL.so.1						%{buildroot}%{nvidia_libdir32}/libGL.so
sed 's,__LIBGL_PATH__,%{nvidia_libdir32},' lib32/libGL.la >	%{buildroot}%{nvidia_libdir32}/libGL.la
%endif

# install X.org files
install -d -m755						%{buildroot}%{nvidia_extensionsdir}
install -m755 X11R6/lib/modules/extensions/libglx.so.%{version}	%{buildroot}%{nvidia_extensionsdir}
ln -s libglx.so.%{version}					%{buildroot}%{nvidia_extensionsdir}/libglx.so
mkdir -p							%{buildroot}%{nvidia_driversdir}
install -m755 X11R6/lib/modules/drivers/nvidia_drv.so		%{buildroot}%{nvidia_driversdir}
%if %{mdkversion} >= 200700
touch								%{buildroot}%{xorg_libdir}/modules/drivers/nvidia_drv.so
%endif
%if %{mdkversion} >= 200800
touch								%{buildroot}%{xorg_libdir}/modules/extensions/libglx.so
%endif

# ld.so.conf
install -d -m755		%{buildroot}%{ld_so_conf_dir}
echo "%{nvidia_libdir}" >	%{buildroot}%{ld_so_conf_dir}/%{ld_so_conf_file}
%ifarch %{biarches}
echo "%{nvidia_libdir32}" >>	%{buildroot}%{ld_so_conf_dir}/%{ld_so_conf_file}
%endif
%if %{mdkversion} >= 200700
install -d -m755		%{buildroot}%{_sysconfdir}/ld.so.conf.d
touch				%{buildroot}%{_sysconfdir}/ld.so.conf.d/GL.conf
%endif

# modprobe.conf
%if %{mdkversion} >= 200710
install -d -m755			%{buildroot}%{_sysconfdir}/modprobe.d
touch					%{buildroot}%{_sysconfdir}/modprobe.d/nvidia.conf
echo "alias nvidia %{modulename}" >	%{buildroot}%{_sysconfdir}/%{drivername}/modprobe.conf
%endif

# XvMCConfig
install -d -m755 %{buildroot}%{nvidia_xvmcconfdir}
echo "libXvMCNVIDIA_dynamic.so.1" > %{buildroot}%{nvidia_xvmcconfdir}/XvMCConfig

# don't strip files
export DONT_STRIP=1

%post -n %{driverpkgname}
%if %{mdkversion} >= 200710
# XFdrake used to generate an nvidia.conf file
[ -L %{_sysconfdir}/modprobe.d/nvidia.conf ] || rm -f %{_sysconfdir}/modprobe.d/nvidia.conf
%endif

%if %{mdkversion} >= 200700
%{_sbindir}/update-alternatives \
	--install %{_sysconfdir}/ld.so.conf.d/GL.conf gl_conf %{ld_so_conf_dir}/%{ld_so_conf_file} %{priority} \
	--slave %{_libdir}/xorg/modules/drivers/nvidia_drv.so nvidia_drv %{_libdir}/xorg/modules/drivers/%{drivername}/nvidia_drv.so \
	--slave %{_datadir}/applications/mandriva-nvidia-settings.desktop nvidia_desktop %{nvidia_deskdir}/mandriva-nvidia-settings.desktop \
	--slave %{_bindir}/nvidia-settings nvidia_settings %{nvidia_bindir}/nvidia-settings \
	--slave %{_bindir}/nvidia-bug-report.sh nvidia_bug_report %{nvidia_bindir}/nvidia-bug-report.sh \
	--slave %{_sysconfdir}/X11/XvMCConfig xvmcconfig %{nvidia_xvmcconfdir}/XvMCConfig \
%if %{mdkversion} >= 200710
	--slave %{_sysconfdir}/modprobe.d/nvidia.conf nvidia_modconf %{_sysconfdir}/%{drivername}/modprobe.conf \
%endif
%if %{mdkversion} >= 200800
	--slave %{_libdir}/xorg/modules/extensions/libglx.so libglx %{nvidia_extensionsdir}/libglx.so \
%endif
%if %{mdkversion} >= 200900
	--slave %{_libdir}/xorg/modules/extensions/libdri.so libdri.so %{_libdir}/xorg/modules/extensions/standard/libdri.so
%endif
# empty line so that /sbin/ldconfig is not passed to update-alternatives
%endif
# explicit /sbin/ldconfig due to alternatives
/sbin/ldconfig

%postun -n %{driverpkgname}
%if %{mdkversion} >= 200700
if [ ! -f %{ld_so_conf_dir}/%{ld_so_conf_file} ]; then
  %{_sbindir}/update-alternatives --remove gl_conf %{ld_so_conf_dir}/%{ld_so_conf_file}
fi
%endif
# explicit /sbin/ldconfig due to alternatives
/sbin/ldconfig

%post -n dkms-%{drivername}
/usr/sbin/dkms --rpm_safe_upgrade add -m %{drivername} -v %{version}-%{release} && 
/usr/sbin/dkms --rpm_safe_upgrade build -m %{drivername} -v %{version}-%{release} &&
/usr/sbin/dkms --rpm_safe_upgrade install -m %{drivername} -v %{version}-%{release} --force

# rmmod any old driver if present and not in use (e.g. by X)
rmmod nvidia > /dev/null 2>&1 || true

%preun -n dkms-%{drivername}
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{drivername} -v %{version}-%{release} --all

# rmmod any old driver if present and not in use (e.g. by X)
rmmod nvidia > /dev/null 2>&1 || true

%clean
rm -rf %{buildroot}

%files -n %{driverpkgname}
%defattr(-,root,root)

%doc README.install.urpmi README.manual-setup
%doc %{pkgname}/usr/share/doc/*
%doc %{pkgname}/LICENSE

# ld.so.conf, modprobe.conf, xvmcconfig
%if %{mdkversion} >= 200710
# 2007.1
%ghost %{_sysconfdir}/ld.so.conf.d/GL.conf
%ghost %{_sysconfdir}/modprobe.d/nvidia.conf
%dir %{_sysconfdir}/%{drivername}
%{_sysconfdir}/%{drivername}/modprobe.conf
%{_sysconfdir}/%{drivername}/ld.so.conf
%{_sysconfdir}/%{drivername}/XvMCConfig
%else
%if %{mdkversion} >= 200700
# 2007.0
%ghost %{_sysconfdir}/ld.so.conf.d/GL.conf
%dir %{_sysconfdir}/ld.so.conf.d/GL
%dir %{_sysconfdir}/%{drivername}
%{_sysconfdir}/ld.so.conf.d/GL/%{drivername}.conf
%{_sysconfdir}/%{drivername}/XvMCConfig
%else
# 2006.0
%config(noreplace) %{_sysconfdir}/X11/XvMCConfig
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/%{drivername}.conf
%endif
%endif

%if %{mdkversion} >= 200700
%ghost %{_bindir}/nvidia-settings
%ghost %{_bindir}/nvidia-bug-report.sh
%dir %{nvidia_bindir}
%endif
%{nvidia_bindir}/nvidia-settings
%{nvidia_bindir}/nvidia-bug-report.sh

%if %{mdkversion} >= 200700
%ghost %{_datadir}/applications/mandriva-nvidia-settings.desktop
%dir %{nvidia_deskdir}
%else
%{_menudir}/%{driverpkgname}
%endif
%{nvidia_deskdir}/mandriva-nvidia-settings.desktop

%{_miconsdir}/%{drivername}-settings.png
%{_iconsdir}/%{drivername}-settings.png
%{_liconsdir}/%{drivername}-settings.png

%dir %{nvidia_libdir}
%dir %{nvidia_libdir}/tls
%{nvidia_libdir}/*.so.%{version}
%{nvidia_libdir}/*.so.1
%{nvidia_libdir}/tls/*.so.%{version}
%{nvidia_libdir}/tls/*.so.1
%ifarch %{biarches}
%dir %{nvidia_libdir32}
%dir %{nvidia_libdir32}/tls
%{nvidia_libdir32}/*.so.%{version}
%{nvidia_libdir32}/*.so.1
%{nvidia_libdir32}/tls/*.so.%{version}
%{nvidia_libdir32}/tls/*.so.1
%endif

%dir %{nvidia_extensionsdir}
%{nvidia_extensionsdir}/libglx.so.%{version}
%{nvidia_extensionsdir}/libglx.so
%if %{mdkversion} >= 200800
%ghost %{xorg_libdir}/modules/extensions/libglx.so
%endif

%if %{mdkversion} >= 200700
%ghost %{xorg_libdir}/modules/drivers/nvidia_drv.so
%dir %{nvidia_driversdir}
%endif
%{nvidia_driversdir}/nvidia_drv.so

%files -n %{drivername}-devel
%defattr(-,root,root)
%{_includedir}/%{drivername}
%{nvidia_libdir}/libXvMCNVIDIA.a
%{nvidia_libdir}/*.so
%{nvidia_libdir}/*.la
%ifarch %{biarches}
%{nvidia_libdir32}/*.so
%{nvidia_libdir32}/*.la
%endif

%files -n dkms-%{drivername}
%defattr(-,root,root)
%doc %{pkgname}/LICENSE
%{_usrsrc}/%{drivername}-%{version}-%{release}


%changelog
* Thu Aug 28 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 71.86.06-5mdv2009.0
+ Revision: 276957
- Added support to build against linux 2.6.27, some changes backported
  from nvidia-current.

* Sun Aug 10 2008 Anssi Hannula <anssi@mandriva.org> 71.86.06-4mdv2009.0
+ Revision: 270243
- adapt for libdri.so handled by alternatives

* Sun Jul 20 2008 Anssi Hannula <anssi@mandriva.org> 71.86.06-3mdv2009.0
+ Revision: 239185
- call ldconfig explicitely, not handled by filetriggers in this case

* Fri Jul 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 71.86.06-2mdv2009.0
+ Revision: 238107
- drop patch from dkms.conf

* Fri Jul 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 71.86.06-1mdv2009.0
+ Revision: 237847
- update to new version 71.86.06

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 01 2008 Anssi Hannula <anssi@mandriva.org> 71.86.04-4mdv2008.1
+ Revision: 191503
- add versioned requires on kernel module on 2008.1

* Thu Mar 27 2008 Anssi Hannula <anssi@mandriva.org> 71.86.04-3mdv2008.1
+ Revision: 190681
- add upstream patch for 2.6.25 support, enabled conditionally

* Thu Mar 20 2008 Anssi Hannula <anssi@mandriva.org> 71.86.04-2mdv2008.1
+ Revision: 189240
- do not ship headers in documentation directory

* Tue Feb 05 2008 Anssi Hannula <anssi@mandriva.org> 71.86.04-1mdv2008.1
+ Revision: 162739
- 71.86.04
- drop upstream 2.6.24 support patch
- restore menu in 2006.0 builds

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 07 2007 Anssi Hannula <anssi@mandriva.org> 71.86.01-2mdv2008.1
+ Revision: 116354
- add 2.6.24 support patch (#35771)
- ignore xen presence as the main kernel is now xen-enabled

* Thu Oct 18 2007 Anssi Hannula <anssi@mandriva.org> 71.86.01-1mdv2008.1
+ Revision: 99819
- 71.86.01
- add GTK category into the nvidia-settings desktop entry
- use Makefile.kbuild explicitely for cleaning to prevent bad exit
  status during cleaning of the build area

* Sun Sep 16 2007 Anssi Hannula <anssi@mandriva.org> 1.0-7185.5mdv2008.0
+ Revision: 87844
- add patches for 2.6.23 support

* Fri Aug 31 2007 Anssi Hannula <anssi@mandriva.org> 1.0-7185.4mdv2008.0
+ Revision: 76977
- fix alternatives on backports

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Aug 27 2007 Anssi Hannula <anssi@mandriva.org> 1.0-7185.3mdv2008.0
+ Revision: 71916
- use alternatives for libglx.so
- rename source rpm to nvidia-71xx to allow renaming binary packages
  when backporting to old releases

* Thu Aug 16 2007 Anssi Hannula <anssi@mandriva.org> 1.0-7185.2mdv2008.0
+ Revision: 64283
- shorten dkms driver name
- drop old requires on drakxtools
- use conflicts on drakx-kbd-mouse-x11 instead of requires (Thierry Vignaud)
- use conflicts on harddrake instead of requires (Thierry Vignaud)

* Thu Aug 09 2007 Anssi Hannula <anssi@mandriva.org> 1.0-7185.1mdv2008.0
+ Revision: 60667
- do not call the next dkms step if previous fails
- 1.0-7185
- clean .spec
- fix 2007.0 compatibility
- drop unneeded ioctl32.patch
- use %%{version}-%%{release} for dkms PACKAGE_VERSION
- alternativeszificate unversioned libwfb.so properly
- do not add nvidia to modprobe.preload in 2007.0 either
- do not modprobe nvidia module in %%post, rmmod it instead
- remove packager tag, prefix tag, requires on glibc
- fix file requires
- clean libGL.so.1 from provides (bug #28216)
- add URL
- include nvidia tools, handled by alternatives (bug #29107)
- require new update-alternatives instead of workarounding bugs
- add post and preun script requires on dkms
- provide XvMCConfig via alternatives (bug #29109)
- better descriptions and summaries
- add README.install.urpmi and README.manual-setup
- add support for 2006.0 (requested by Giuseppe)
- add devel package (requested by Giuseppe)
- rename from nvidia71xx to x11-driver-video-nvidia71xx
- versionize obsoletes to avoid future problems
- Import nvidia71xx



* Mon Mar 26 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-7184.6mdv
- don't add modules to /etc/mod{ules,probe.preload} (#29111)

* Thu Mar  1 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-7184.5mdv
- remove XFdrake generated modprobe.conf

* Thu Mar  1 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-7184.4mdv
- new layout for MDV 2007.1
- increase priority to match version level

* Wed Sep 13 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-7184-3mdv
- Use an alternative for the X.org module too

* Sat Sep  9 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-7184-2mdk
- Move nvidia_legacy.conf to ld.so.conf.d/GL/
- Move GL libraries to an nvidia_legacy/ subdir

* Sat Sep  9 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-7184-1mdk
- 71.84

* Fri Sep 16 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-7174-3mdk
- make ld.so.conf.d/%%{name}.conf config(noreplace)

* Thu Sep 15 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-7174-2mdk
- moved to nvidia_legacy for older cards not supported in 76.XX series

* Fri Apr  8 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-7174-1mdk
- 71.74

* Tue Mar 15 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-7167-2mdk
- 1.0-7167 for Linux x86/x86-64 updates (zander, nvnews.net)

* Fri Mar 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-7167-1mdk
- 71.67

* Fri Feb 18 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6633-1mdk
- 6633.

* Thu Jan 20 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6629-2mdk
- ship with tls library symlinks on 10.0/corpo

* Tue Dec  7 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6629-1mdk
- 6629.

* Tue Oct 26 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6111-2mdk
- move to dkms build

* Thu Aug 19 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6111-1mdk
- 6111.

* Wed Jul 28 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6106-2mdk
- fix build with kernel 2.4

* Fri Jul  2 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6106-1mdk
- 6106.

* Tue Jun  8 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6098-1mdk
- 6098.

* Fri May 28 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.0-6097-1mdk
- 6097.

* Wed May 26 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6096-3mdk
- move nvidia GL libs to a subdir

* Mon May 24 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6096-2mdk
- lib64 and 32-bit tls fixes

* Wed May 19 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.0-6096-1mdk
- First new release for x86_64.

